Index: Makefile.osx
===================================================================
--- Makefile.osx	(revision 8426)
+++ Makefile.osx	(working copy)
@@ -12,7 +12,7 @@
 #
 
 #DEPLOYMEN_TARGET handled in ./gcc-fat
-#export MACOSX_DEPLOYMENT_TARGET=10.3
+export MACOSX_DEPLOYMENT_TARGET=10.5
 ARCH = $(shell uname -m | grep i386)
 
 
@@ -54,7 +54,7 @@
 export TOOLPATH = $(shell dirname `which gcc`)
 
 export SDL_CONFIG = sdl-config
-export CC=sh ${BASE_DIR}src/gcc-fat.sh
+#export CC=sh ${BASE_DIR}src/gcc-fat.sh
 
 #
 # Top level targets
@@ -93,11 +93,11 @@
 	cd jpeg-6b; make && make install
 	
 # sdl - check for existance of just one of the Makefiles to determine if we should reconfigure for each
-SDL-1.2.13/build/ppc/Makefile:
-	cd SDL-1.2.13; sh build-scripts/fatbuild.sh configure CONFIGURE_FLAGS_EXTRA="--disable-video-x11 --disable-nasm"
+SDL-1.2.14/Makefile:
+	cd SDL-1.2.14; sh ./configure CONFIGURE_FLAGS_EXTRA="--disable-video-x11 --disable-nasm" --prefix=${PREFIX}
 
-sdl: SDL-1.2.13/build/ppc/Makefile
-	cd SDL-1.2.13; sh build-scripts/fatbuild.sh make && sh build-scripts/fatbuild.sh install
+sdl: SDL-1.2.14/Makefile
+	cd SDL-1.2.14; make && make install
 
 # sdl_image (requires jpeg tiff png)
 SDL_image-1.2.5/Makefile:
@@ -171,7 +171,7 @@
 	cd loop-2.2-alpha; install loop/debug/Viewer.lua ${PREFIX}/share/lua/5.1/loop/debug/.
 
 luaexpat: lua
-	cd luaexpat-1.0.2; make PREFIX=${PREFIX} PLATFORM=osx CC="cc -arch i386 -arch ppc" && make install PREFIX=${PREFIX} PLATFORM=osx
+	cd luaexpat-1.0.2; make PREFIX=${PREFIX} PLATFORM=osx && make install PREFIX=${PREFIX} PLATFORM=osx
 
 luafilesystem:
 	cd luafilesystem-1.2; make install PREFIX=${PREFIX} PLATFORM=osx
@@ -181,7 +181,7 @@
 
 # just compile the library for to tolua++
 tolua++:
-	cd tolua++-1.0.92/src/lib; cc -arch i386 -arch ppc -I../../include -pedantic -Wall -O2 -fno-common ${CFLAGS} -c *.c
+	cd tolua++-1.0.92/src/lib; cc -I../../include -pedantic -Wall -O2 -fno-common ${CFLAGS} -c *.c
 	cd tolua++-1.0.92/src/lib; ar -rcu libtolua++.a tolua_event.o tolua_is.o tolua_map.o tolua_push.o tolua_to.o 
 	mkdir -p ${PREFIX}/lib
 	install tolua++-1.0.92/include/tolua++.h ${PREFIX}/include
@@ -193,15 +193,15 @@
 # squeezeplay
 #
 
-.PHONY: app portaudio flac libmad tremor squeezeplay squeezeplay_desktop squeezeplay_contrib freefont squeezeplay_dmg
-app: portaudio flac libmad tremor squeezeplay squeezeplay_desktop squeezeplay_contrib freefont squeezeplay_dmg
+.PHONY: app portaudio flac libmad tremor squeezeplay squeezeplay_desktop squeezeplay_contrib freefont #squeezeplay_dmg
+app: portaudio flac libmad tremor squeezeplay squeezeplay_desktop squeezeplay_contrib freefont #squeezeplay_dmg
 
 # portaudio
-portaudio_v19_1360/Makefile:
-	cd portaudio_v19_1360; ./configure CC= --prefix=${PREFIX}
+portaudio/Makefile:
+	cd portaudio; ./configure CC= --prefix=${PREFIX}
 
-portaudio: portaudio_v19_1360/Makefile
-	cd portaudio_v19_1360; make && make install
+portaudio: portaudio/Makefile
+	cd portaudio; make && make install
 
 # flac
 flac-1.2.1/Makefile:
Index: luasocket-2.0.2/config_include.osx
===================================================================
--- luasocket-2.0.2/config_include.osx	(revision 8426)
+++ luasocket-2.0.2/config_include.osx	(working copy)
@@ -10,7 +10,7 @@
 DEF=-DLUASOCKET_DEBUG -DUNIX_HAS_SUN_LEN
 MYCFLAGS= $(LUAINC) -I$(COMPAT) $(DEF) -pedantic -Wall -O2 -fno-common
 MYLDFLAGS=-bundle -undefined dynamic_lookup
-LD=gcc -arch i386 -arch ppc
+LD=gcc -arch x86_64
 
 #------
 # End of makefile platform specific configuration
